Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/bl_for_dms.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/bl_for_dms.F	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/bl_for_dms.F	(revision 5103)
@@ -9,5 +9,5 @@
 c Monin-Obukhov (obklen), necessaires pour calculer les flux de DMS
 c par la methode de Nightingale.
-c Cette subroutine est plus que fortement inspiree de la subroutine
+c Cette SUBROUTINE est plus que fortement inspiree de la subroutine
 c 'nonlocal' dans clmain.F .
 c reference :  Holtslag, A.A.M., and B.A. Boville, 1993:
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/coarsemission.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/coarsemission.F	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/coarsemission.F	(revision 5103)
@@ -1,3 +1,3 @@
-c This subroutine calculates the emissions of SEA SALT and DUST, part of
+c This SUBROUTINE calculates the emissions of SEA SALT and DUST, part of
 C which goes to tracer 2 and other part to tracer 3.
       SUBROUTINE coarsemission(pctsrf,pdtphys,
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/deposition.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/deposition.F	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/deposition.F	(revision 5103)
@@ -1,5 +1,5 @@
 c Subroutine that estimates the Deposition velocities and the depostion
 C for the different tracers
-      subroutine deposition(vdep_oce,vdep_sic,vdep_ter,vdep_lic,pctsrf,
+      SUBROUTINE deposition(vdep_oce,vdep_sic,vdep_ter,vdep_lic,pctsrf,
      .                      zrho,zdz,pdtphys,RHcl,masse,t_seri,pplay,
      .                      paprs,lminmax,qmin,qmax,
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90	(revision 5103)
@@ -38,5 +38,5 @@
 !  real   , parameter :: cd=1.*roa/gravity
 ! new values
-!  logical, parameter :: ok_splatuning=.true.
+!  logical, parameter :: ok_splatuning=.TRUE.
 ! Div=3 from S. Alfaro (Sow et al ACPD 2011)
 !JE 20150206
@@ -158,5 +158,5 @@
     USE dimphy
 
-    !AS: moved here from subroutine initdust
+    !AS: moved here from SUBROUTINE initdust
     ALLOCATE( m1dflux(klon) )
     ALLOCATE( m2dflux(klon) )
@@ -345,6 +345,6 @@
 !$OMP THREADPRIVATE(iminacclow,iminacchigh,imincoalow,imincoahigh)
 
-writeaerosoldistrib=.false.
-if (debutphy) then
+writeaerosoldistrib=.FALSE.
+IF (debutphy) then
 
   if (sizedustmin>sizeacclow .or. sizedustmax<sizescohigh) then 
@@ -379,5 +379,5 @@
    endif
   enddo
-if (writeaerosoldistrib) then
+IF (writeaerosoldistrib) then
 !JEdbg<<
   do j=1,klon
@@ -385,6 +385,6 @@
     itvmean(j,i)=(itv(i)+itv(i+1))/2.
     itv2(j,i)=itv(i)
-    !print*, itv(i),itvmean(i),itv(i+1)
-    !print*, sizedust(i)
+    !PRINT*, itv(i),itvmean(i),itv(i+1)
+    !PRINT*, sizedust(i)
   enddo
   itv2(j,nbins+1)=itv(nbins+1)
@@ -415,6 +415,6 @@
   counter1=0
 !JEdbg>>
-endif
-endif
+END IF
+END IF
 
 
@@ -423,12 +423,12 @@
 
 ! estimate and integrate bins into only accumulation and coarse
-do k=1,klon
+DO k=1,klon
   basesumacc(k)=basesumemission*(pctsrf(k,is_ter))*1.e-6 ! from mg/m2/s
   basesumcoa(k)=basesumemission*(pctsrf(k,is_ter))*1.e-6
   basesumsco(k)=basesumemission*(pctsrf(k,is_ter))*1.e-6
-enddo
-
-
-do k=1,klon
+END DO
+
+
+DO k=1,klon
 auxr1=0.0
 auxr2=0.0
@@ -446,5 +446,5 @@
   enddo
   emdustsco(k)=(auxr3 + basesumsco(k))*tuningfactorsco
-enddo
+END DO
 
 
@@ -468,5 +468,5 @@
 
 !JEdbg<<
-if (writeaerosoldistrib) then
+IF (writeaerosoldistrib) then
   do i=1,nbins
     do j=1,klon
@@ -478,5 +478,5 @@
 ! 1440 = 15 days
 ! 480 = 5 days
-if (MOD(counter,1440)== 0) THEN
+IF (MOD(counter,1440)== 0) THEN
    !if (MOD(counter,480).eq. 0) THEN
    do k = 1,klon
@@ -499,7 +499,7 @@
      enddo
    enddo
-endif
+END IF
 counter=counter+1
-endif
+END IF
 !JEdbg>>
 
@@ -700,5 +700,5 @@
 
 ! print *,'JEOK2',mpi_rank,omp_rank
-if ( 1==1 ) then
+IF ( 1==1 ) then
 
 ! print *,'JEOK4',mpi_rank,omp_rank
@@ -717,5 +717,5 @@
 !print *,'JEOK6',mpi_rank,omp_rank
 
-endif
+END IF
 
   !CALL abort_gcm('initdustemission', 'OK1',1)
@@ -741,5 +741,5 @@
 !     WRITE(18,*)i,alfa(i)
   END DO
-!     print*,'solspe(14,10)= ',solspe(14,10)
+!     PRINT*,'solspe(14,10)= ',solspe(14,10)
   CLOSE(10)
 ENDIF
@@ -761,13 +761,13 @@
       enddo
 30   continue
-      print*,'IK5'
+      PRINT*,'IK5'
       ncl=i-1
-      print*,'   soil size classes used   ',ncl,' / ',nclass
-      print*,'   soil size min: ',sizeclass(1),' soil size max: ',sizeclass(ncl)
+      PRINT*,'   soil size classes used   ',ncl,' / ',nclass
+      PRINT*,'   soil size min: ',sizeclass(1),' soil size max: ',sizeclass(ncl)
       if(ncl>nclass)stop
 
 ! Threshold velocity:
-if (.false.) then
-!if (.true.) then
+IF (.FALSE.) then
+!if (.TRUE.) then
 !c 0: Iversen and White 1982
        print *,'Using  Iversen and White 1982 Uth'
@@ -785,6 +785,6 @@
             endif
          enddo
-endif
-if(.true.) then
+END IF
+IF(.TRUE.) then
 ! 1: Shao and Lu 2000
        print *,'Using  Shao and Lu 2000 Uth'
@@ -797,5 +797,5 @@
                uth(i)=sqrt(an*(x1+x2))
             enddo
-endif
+END IF
 
 
@@ -849,16 +849,16 @@
        do i=1,klon
           do k=1,ntyp
-     !     print*,'IKKK ',i,klon,k,ntyp
+     !     PRINT*,'IKKK ',i,klon,k,ntyp
              if (zos(i,k)==0..or.z01(i,k)==0.) then
      !       if (zos(i,k)<=0..or.z01(i,k)<=0.) then
 !              if (zos(i,k)<0..or.z01(i,k)<0.) then
-     !            print*,'INI DUST WARNING zos ou z01<0',zos(i,k),z01(i,k)
+     !            PRINT*,'INI DUST WARNING zos ou z01<0',zos(i,k),z01(i,k)
 !              endif
               feff(i,k)=0.
               feffdbg(i,k)=0.
- !         print*,'IKKK A ',i,klon,k,ntyp
+ !         PRINT*,'IKKK A ',i,klon,k,ntyp
             else
 ! drag partition betzeen the erodable surface and zo1
-     !     print*,'IKKK B0 ',i,klon,k,ntyp,z01(i,k),zos(i,k),xeff,aeff
+     !     PRINT*,'IKKK B0 ',i,klon,k,ntyp,z01(i,k),zos(i,k),xeff,aeff
               aa=log(z01(i,k)/zos(i,k))
               tmp1(i,k)=aa
@@ -866,15 +866,15 @@
               cc=1.-aa/bb
               feffdbg(i,k)=cc
-       !   print*,'IKKK B1 ',i,klon,k,ntyp
+       !   PRINT*,'IKKK B1 ',i,klon,k,ntyp
 ! drag partition between zo1 and zo2
 ! feff: total efficient fraction
               if(D(i,k)==0.)then
                  feff(i,k)=cc
-   !       print*,'IKKK C ',i,klon,k,ntyp
+   !       PRINT*,'IKKK C ',i,klon,k,ntyp
               else
                  dd=log(z02(i,k)/z01(i,k))
                  ee=log(aeff*(D(i,k)/z01(i,k))**0.8)
                  feff(i,k)=(1.-dd/ee)*cc
-   !       print*,'IKKK D ',i,klon,k,ntyp
+   !       PRINT*,'IKKK D ',i,klon,k,ntyp
               endif
               if (feff(i,k)<0.)feff(i,k)=0.
@@ -882,5 +882,5 @@
               if (feff(i,k)>1.)feff(i,k)=1.
               if (feffdbg(i,k)>1.)feffdbg(i,k)=1.
-    !      print*,'IKKK E ',i,klon,k,ntyp
+    !      PRINT*,'IKKK E ',i,klon,k,ntyp
             endif
           enddo
@@ -898,10 +898,10 @@
 
 
-if (1==1) then
+IF (1==1) then
 !  !  CALL writefield_phy("AA",tmp1(1:klon,1:5),5)
 
     CALL writefield_phy("REPART5",feff(1:klon,1:5),5)
     CALL writefield_phy("REPART5dbg",feffdbg(1:klon,1:5),5)
-endif
+END IF
 
 
@@ -919,5 +919,5 @@
 
 
-!  if (.false.) then
+!  if (.FALSE.) then
 !!**************L718
 
@@ -983,5 +983,5 @@
 !     END DO
 ! 50  CONTINUE
-!print*,'IK10'
+!PRINT*,'IK10'
 !! building the optimized distribution
 !  logvdISOGRAD(1)=log(vdHR(1))
@@ -1027,5 +1027,5 @@
 ! 60  CONTINUE
 !  END DO
-!print*,'IK11'
+!PRINT*,'IK11'
 !  binsISOGRAD(nbinsout)=binsHR(nbinsHR)
 !  vdISOGRAD(nbinsout)=vdHR(nbinsHR)
@@ -1242,5 +1242,5 @@
 
                  !IF(n.eq.1.and.nat.eq.99)GOTO 80
-             !      if(n.eq.1) print*,'nat1=',nat,'sol1=',sol(i,n)
+             !      if(n.eq.1) PRINT*,'nat1=',nat,'sol1=',sol(i,n)
                    IF(n==1.and.nat==99)GOTO 80
 
@@ -1270,5 +1270,5 @@
 
                    IF(ustarsalt<umin/ceff)GOTO 80
-!                      print*,'ustarsalt = ',ustarsalt
+!                      PRINT*,'ustarsalt = ',ustarsalt
 !----------------------------------------
                     CALL def_copyncl(kfin)
@@ -1382,10 +1382,10 @@
          dsmin=var3a*(ustarsalt**(-2./3.))
          dsmax=var3b*(ustarsalt**(-2./3.))
-!      print*,'ustarsalt = ',ustarsalt,'dsmin=',dsmin,'dsmax=',dsmax
+!      PRINT*,'ustarsalt = ',ustarsalt,'dsmin=',dsmin,'dsmax=',dsmax
 ! dichotomy
          CALL def_dichotomy(sizeclass,nclass,1,ncl,dsmin,ideb)
-   !      print*,'ideb = ',ideb
+   !      PRINT*,'ideb = ',ideb
          CALL def_dichotomy(sizeclass,nclass,ideb,ncl,dsmax,ifin)
-   !      print*,'ifin = ',ifin
+   !      PRINT*,'ifin = ',ifin
 ! readaptation of large sizes particles
          kfin=0
@@ -1396,5 +1396,5 @@
             srel2(nat,kfin)=srel(nat,i)
          enddo
-  !          print*,'je suis la'
+  !          PRINT*,'je suis la'
          kfin2=kfin
          istep=50
@@ -1406,5 +1406,5 @@
          enddo
          if(kfin>=nclass)then
-            print*,'$$$$ Tables dimension problem:',kfin,'>',nclass
+            PRINT*,'$$$$ Tables dimension problem:',kfin,'>',nclass
          endif
 !---------------        
@@ -1419,5 +1419,5 @@
 !--------------------------------------------------------------------------------------
 
-subroutine def_dichotomy(siz,nclass,i1,i2,ds,iout)
+SUBROUTINE def_dichotomy(siz,nclass,i1,i2,ds,iout)
 !c---------------------------------------------------------------
 !c 'size' is the table to scan
@@ -1450,8 +1450,8 @@
  52   continue
       if(iout==0)then
-        print*,'$$$$ Tables dimension problem: ',iout
+        PRINT*,'$$$$ Tables dimension problem: ',iout
       endif
 
-      end subroutine def_dichotomy
+      END SUBROUTINE  def_dichotomy
 
 !--------------------------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/finemission.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/finemission.F	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/finemission.F	(revision 5103)
@@ -1,3 +1,3 @@
-C This subroutine calculates the emissions of BLACK CARBON and ORGANIC
+C This SUBROUTINE calculates the emissions of BLACK CARBON and ORGANIC
 C MATTER
       SUBROUTINE finemission(zdz,pdtphys,zalt,kminbc,kmaxbc,
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90	(revision 5103)
@@ -50,5 +50,5 @@
 
 !  variables locales      
- LOGICAL,SAVE :: debut=.true.
+ LOGICAL,SAVE :: debut=.TRUE.
 !$OMP THREADPRIVATE(debut)
 
@@ -96,10 +96,10 @@
   IF (debut) THEN
 
-!  inscav_fisrt=.true.
+!  inscav_fisrt=.TRUE.
 !  CALL getin('inscav_fisrt',inscav_fisrt)
 !  if(inscav_fisrt) then 
-!   print*,'beta from fisrtilp.F90, beta = (z_cond - z_oliq)/z_cond, inscav_fisrt=',inscav_fisrt
+!   PRINT*,'beta from fisrtilp.F90, beta = (z_cond - z_oliq)/z_cond, inscav_fisrt=',inscav_fisrt
 !  else
-!   print*,'beta from Reddy and Bocuher 2004 (original version), inscav_fisrt=',inscav_fisrt
+!   PRINT*,'beta from Reddy and Bocuher 2004 (original version), inscav_fisrt=',inscav_fisrt
 !  endif
 
@@ -128,11 +128,11 @@
 !9999  Continue
 
-!   print*,'alpha_r',alpha_r
-!   print*,'alpha_s',alpha_s
-!   print*,'R_r',R_r
-!   print*,'R_s',R_s
-!   print*,'frac_fine_scav',frac_fine_scav
-!   print*,'frac_coar_scav',frac_coar_scav
-!   print*,'frac_aer ev',frac_aer
+!   PRINT*,'alpha_r',alpha_r
+!   PRINT*,'alpha_s',alpha_s
+!   PRINT*,'R_r',R_r
+!   PRINT*,'R_s',R_s
+!   PRINT*,'frac_fine_scav',frac_fine_scav
+!   PRINT*,'frac_coar_scav',frac_coar_scav
+!   PRINT*,'frac_aer ev',frac_aer
 
 ! JE endcomment
@@ -255,5 +255,5 @@
        his_dh(i)=0.
       endif
-!      print*,  k, 'beta_ev',beta_ev
+!      PRINT*,  k, 'beta_ev',beta_ev
 ! remove tracers from precipitation owing to release by evaporation in his_dh
 !!      dxev=frac_ev*deltaP(i,k)*pdtime * his_dh(i) /(zrho(i,k)*zdz(i,k))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90	(revision 5103)
@@ -53,5 +53,5 @@
 
 !  variables locales      
- LOGICAL,SAVE :: debut=.true.
+ LOGICAL,SAVE :: debut=.TRUE.
 !$OMP THREADPRIVATE(debut)
 
@@ -106,10 +106,10 @@
   IF (debut) THEN
 
-!  inscav_fisrt=.true.
+!  inscav_fisrt=.TRUE.
 !  CALL getin('inscav_fisrt',inscav_fisrt)
 !  if(inscav_fisrt) then 
-!   print*,'beta from fisrtilp.F90, beta = (z_cond - z_oliq)/z_cond, inscav_fisrt=',inscav_fisrt
+!   PRINT*,'beta from fisrtilp.F90, beta = (z_cond - z_oliq)/z_cond, inscav_fisrt=',inscav_fisrt
 !  else
-!   print*,'beta from Reddy and Bocuher 2004 (original version), inscav_fisrt=',inscav_fisrt
+!   PRINT*,'beta from Reddy and Bocuher 2004 (original version), inscav_fisrt=',inscav_fisrt
 !  endif
 
@@ -138,11 +138,11 @@
 !9999  Continue
 
-!   print*,'JE alpha_r',alpha_r
-!   print*,'JE alpha_s',alpha_s
-!   print*,'JE R_r',R_r
-!   print*,'JE R_s',R_s
-!   print*,'frac_fine_scav',frac_fine_scav
-!   print*,'frac_coar_scav',frac_coar_scav
-!   print*,'frac_aer ev',frac_aer
+!   PRINT*,'JE alpha_r',alpha_r
+!   PRINT*,'JE alpha_s',alpha_s
+!   PRINT*,'JE R_r',R_r
+!   PRINT*,'JE R_s',R_s
+!   PRINT*,'frac_fine_scav',frac_fine_scav
+!   PRINT*,'frac_coar_scav',frac_coar_scav
+!   PRINT*,'frac_aer ev',frac_aer
 
 ! JE endcomment
@@ -266,5 +266,5 @@
        his_dh(i)=0.
       endif
-!      print*,  k, 'beta_ev',beta_ev
+!      PRINT*,  k, 'beta_ev',beta_ev
 ! remove tracers from precipitation owing to release by evaporation in his_dh
 !!      dxev=frac_ev*deltaP(i,k)*pdtime * his_dh(i) /(zrho(i,k)*zdz(i,k))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxqfi2.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxqfi2.F	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxqfi2.F	(revision 5103)
@@ -1,3 +1,3 @@
-      subroutine minmaxqfi2(zq,qmin,qmax,comment)
+      SUBROUTINE minmaxqfi2(zq,qmin,qmax,comment)
 c
       USE dimphy
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxsource.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxsource.F	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxsource.F	(revision 5103)
@@ -1,3 +1,3 @@
-      subroutine minmaxsource(zq,qmin,qmax,comment)
+      SUBROUTINE minmaxsource(zq,qmin,qmax,comment)
 
       USE dimphy
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/neutral.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/neutral.F	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/neutral.F	(revision 5103)
@@ -1,7 +1,7 @@
 c*********************************************************************** 
-	subroutine neutral(u10_mps,ustar_mps,obklen_m,
+	SUBROUTINE neutral(u10_mps,ustar_mps,obklen_m,
      +         u10n_mps	)
 c-----------------------------------------------------------------------	
-c subroutine to compute u10 neutral wind speed
+c SUBROUTINE to compute u10 neutral wind speed
 c inputs
 c	u10_mps - wind speed at 10 m (m/s)
@@ -18,5 +18,5 @@
 c Current Theory, Geernaert and W.J. Plant, editors, Kluwer Academic
 c Publishers, Boston, MA, 1990.
-c subroutine written Feb 2001 by eg chapman
+c SUBROUTINE written Feb 2001 by eg chapman
 c adapted to LMD-ZT by E. Cosme 310801
 c Following Will Shaw (PNL, Seattle) the theory applied for flux
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5103)
@@ -89,6 +89,6 @@
        d_t, qx, d_qx, d_tr_dyn, zmasse, flag_aerosol, flag_aerosol_strat, ok_cdnc)
 
-    ! This subroutine does the actual writing of diagnostics that were
-    ! defined and initialised mainly in phytracr_spl_mod.F90 (SPLA tracers, subroutine phytracr_spl_out_init)
+    ! This SUBROUTINE does the actual writing of diagnostics that were
+    ! defined and initialised mainly in phytracr_spl_mod.F90 (SPLA tracers, SUBROUTINE phytracr_spl_out_init)
 
     USE dimphy, ONLY: klon, klev, klevp1
@@ -828,5 +828,4 @@
        !       ENDIF
 
-#ifdef CPP_IOIPSL
   IF (.NOT. using_xios) THEN
     IF (.NOT.ok_all_xml) THEN
@@ -836,5 +835,5 @@
            ll=0
             DO k=1, nlevSTD
-               bb2=clevSTD(k) 
+               bb2=clevSTD(k)
                IF (bb2.EQ."850".OR.bb2.EQ."700".OR. &
                     bb2.EQ."500".OR.bb2.EQ."200".OR. &
@@ -856,5 +855,4 @@
     ENDIF
   ENDIF !.NOT.using_xios
-#endif
 
   IF (using_xios) THEN
@@ -1470,8 +1468,7 @@
        ENDIF
 !!!!!!!!!!!! Sorties niveaux de pression NMC !!!!!!!!!!!!!!!!!!!!
-#ifdef CPP_IOIPSL
 
   IF (.NOT. using_xios) THEN
-    IF (.NOT.ok_all_xml) THEN 
+    IF (.NOT.ok_all_xml) THEN
          ! ATTENTION, LES ANCIENS HISTWRITE ONT ETES CONSERVES EN ATTENDANT MIEUX:
          ! Champs interpolles sur des niveaux de pression
@@ -1541,5 +1538,4 @@
     ENDIF
   ENDIF
-#endif
 
 IF (using_xios) THEN
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5103)
@@ -89,5 +89,5 @@
   !$OMP THREADPRIVATE(tsol)
   INTEGER :: ijulday
-  LOGICAL, parameter :: edgar = .true.
+  LOGICAL, parameter :: edgar = .TRUE.
   INTEGER, parameter :: flag_dms = 4
   INTEGER(kind = 4)  nbjour
@@ -424,5 +424,5 @@
   SUBROUTINE phytracr_spl_out_init()
     !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-    !AS : This subroutine centralises the ALLOCATE needed for the 1st CALL of
+    !AS : This SUBROUTINE centralises the ALLOCATE needed for the 1st CALL of
     !     phys_output_write_spl in physiq
 
@@ -690,5 +690,5 @@
     !AS: IF permettant le debranchage des coefs de Jeronimo Escribano: fichiers *_meta
     ! nbreg_* sont initialisés à 1 dans phytracr_spl, if debutphy,
-    ! avant d'appeler la subroutine presente, phytracr_spl_ini
+    ! avant d'appeler la SUBROUTINE presente, phytracr_spl_ini
     ! (phytracr_spl_ini appele readregionsdims2_spl,
     ! qui lit et fait "bcast" de nbreg_ind,_bb,_dust,_wstardust dans fichiers regions_*_meta)
@@ -750,5 +750,5 @@
     !temporal hardcoded null inicialization of assimilation emmision factors
     !AS: scale_param sont ensuite lus dans modvalues.nc
-    ! par la subroutine read_scalenc, appelee par readscaleparamsnc_spl
+    ! par la SUBROUTINE read_scalenc, appelee par readscaleparamsnc_spl
     scale_param_ssacc = 1.
     scale_param_sscoa = 1.
@@ -1113,6 +1113,6 @@
     CHARACTER*2 str2
     !!AS:      LOGICAL ok_histrac
-    !!!JE2014124      PARAMETER (ok_histrac=.true.)
-    !!      PARAMETER (ok_histrac=.false.)
+    !!!JE2014124      PARAMETER (ok_histrac=.TRUE.)
+    !!      PARAMETER (ok_histrac=.FALSE.)
     INTEGER ndex2d(iim * (jjm + 1)), ndex3d(iim * (jjm + 1) * klev)
     INTEGER nhori1, nhori2, nhori3, nhori4, nhori5, nvert
@@ -1144,10 +1144,10 @@
     LOGICAL convection, lessivage, lminmax, lcheckmass
     DATA convection, lessivage, lminmax, lcheckmass &
-            /.true., .true., .true., .false./
+            /.TRUE., .TRUE., .TRUE., .FALSE./
 
     REAL xconv(nbtr)
 
     LOGICAL anthropo, bateau, edgar
-    DATA anthropo, bateau, edgar/.true., .true., .true./
+    DATA anthropo, bateau, edgar/.TRUE., .TRUE., .TRUE./
 
     !c bc_source
@@ -1357,6 +1357,6 @@
 
     ! computing time
-    !        logitime=.true.
-    logitime = .false.
+    !        logitime=.TRUE.
+    logitime = .FALSE.
     IF (logitime) THEN
       clock_start = 0
@@ -1371,5 +1371,5 @@
 
     ! Definition of tracers index.
-    print*, 'OK ON PASSSE BIEN LA'
+    PRINT*, 'OK ON PASSSE BIEN LA'
     CALL minmaxsource(source_tr, qmin, qmax, 'A1 maxsource init phytracr')
 
@@ -1520,5 +1520,5 @@
     !vdep_lic = (/0.2, 0.17, 1.2, 1.2/)
 
-    iscm3 = .false.
+    iscm3 = .FALSE.
     if (debutphy) then
       !$OMP MASTER
@@ -2023,5 +2023,5 @@
       ENDDO
     ENDDO
-    iscm3 = .true.
+    iscm3 = .TRUE.
 
     !=======================================================================
@@ -2137,9 +2137,9 @@
          CALL iophys_ecrit('q_seri',klev,'q_seri','',q_seri)
          CALL iophys_ecrit('tsol',1,'tsol','',tsol)
-         print*,'fracso2emis,frach2sofso2,bateau',fracso2emis,frach2sofso2,bateau
-         print*,'kminbc,kmaxbc,pdtphys',kminbc,kmaxbc,pdtphys
-         print*,'scale_param_bb,scale_param_ind',scale_param_bb,scale_param_ind
-         print*,'iregion_ind,iregion_bb,nbreg_ind, nbreg_bb',iregion_ind,iregion_bb,nbreg_ind, nbreg_bb
-         print*,'id_prec,id_fine',id_prec,id_fine
+         PRINT*,'fracso2emis,frach2sofso2,bateau',fracso2emis,frach2sofso2,bateau
+         PRINT*,'kminbc,kmaxbc,pdtphys',kminbc,kmaxbc,pdtphys
+         PRINT*,'scale_param_bb,scale_param_ind',scale_param_bb,scale_param_ind
+         PRINT*,'iregion_ind,iregion_bb,nbreg_ind, nbreg_bb',iregion_ind,iregion_bb,nbreg_ind, nbreg_bb
+         PRINT*,'id_prec,id_fine',id_prec,id_fine
          CALL iophys_ecrit('zdz',klev,'zdz','',zdz)
          CALL iophys_ecrit('zalt',klev,'zalt','',zalt)
@@ -2164,5 +2164,5 @@
 
 
-    print*, 'ON PASSE DANS precuremission'
+    PRINT*, 'ON PASSE DANS precuremission'
     CALL precuremission(ftsol, u10m_ec, v10m_ec, pctsrf, &
             u_seri, v_seri, paprs, pplay, cdragh, cdragm, &
@@ -2277,5 +2277,5 @@
       ENDDO
     ENDDO
-    iscm3 = .false.
+    iscm3 = .FALSE.
     !----------------------------
     IF (lminmax) THEN
@@ -2405,5 +2405,5 @@
 
 #ifdef IOPHYS_DUST
-      print*,'iflag_conv=',iflag_conv
+      PRINT*,'iflag_conv=',iflag_conv
       CALL iophys_ecrit('coefh',klev,'coefh','',coefh)
       CALL iophys_ecrit('yu1',1,'yu1','',yu1)
@@ -2554,5 +2554,5 @@
       ENDDO
     ENDDO !--end itr loop
-    iscm3 = .true.
+    iscm3 = .TRUE.
     !--------------------------------------
     print *, ' BEFORE Sediment'
@@ -2629,5 +2629,5 @@
       ENDDO
     ENDDO
-    iscm3 = .false.
+    iscm3 = .FALSE.
 
 
@@ -2715,5 +2715,5 @@
         ENDDO
       ENDDO
-      iscm3 = .true.
+      iscm3 = .TRUE.
       !------------------------------
 
@@ -2748,5 +2748,5 @@
         IF (iflag_conv==2) THEN
           ! Tiedke
-          CALL incloud_scav(.false., qmin, qmax, masse, henry, kk, prfl, &
+          CALL incloud_scav(.FALSE., qmin, qmax, masse, henry, kk, prfl, &
                   psfl, pmflxr, pmflxs, zrho, zdz, t_seri, pdtphys, &
                   his_dhlsc, his_dhcon, tr_seri)
@@ -2755,5 +2755,5 @@
           !        ELSE IF (iflag_conv.GE.3) THEN
 
-          !      CALL incloud_scav_lsc(.false.,qmin,qmax,masse,henry,kk,prfl,
+          !      CALL incloud_scav_lsc(.FALSE.,qmin,qmax,masse,henry,kk,prfl,
           !     .                  psfl,pmflxr,pmflxs,zrho,zdz,t_seri,pdtphys,
           !     .                                     his_dhlsc,his_dhcon,tr_seri)
@@ -2786,5 +2786,5 @@
           ! Tiedke
 
-          CALL blcloud_scav(.false., qmin, qmax, pdtphys, prfl, psfl, &
+          CALL blcloud_scav(.FALSE., qmin, qmax, pdtphys, prfl, psfl, &
                   pmflxr, pmflxs, zdz, alpha_r, alpha_s, masse, &
                   his_dhbclsc, his_dhbccon, tr_seri)
@@ -2796,5 +2796,5 @@
           !        ELSE IF (iflag_conv.GE.3) THEN
 
-          !      CALL blcloud_scav_lsc(.false.,qmin,qmax,pdtphys,prfl,psfl,
+          !      CALL blcloud_scav_lsc(.FALSE.,qmin,qmax,pdtphys,prfl,psfl,
           !     .                  pmflxr,pmflxs,zdz,alpha_r,alpha_s,masse,
           !     .                                  his_dhbclsc,his_dhbccon,tr_seri)
@@ -2836,5 +2836,5 @@
         ENDDO
       ENDDO
-      iscm3 = .false.
+      iscm3 = .FALSE.
 
       IF (logitime) THEN
@@ -2893,5 +2893,5 @@
         ! Tiedke
         CALL trconvect(pplay, t_seri, pdtphys, pmfu, pmfd, pen_u, pde_u, &
-                pen_d, pde_d, paprs, zdz, xconv, qmin, qmax, .false., masse, &
+                pen_d, pde_d, paprs, zdz, xconv, qmin, qmax, .FALSE., masse, &
                 dtrconv, tr_seri)
         DO itr = 1, nbtr
@@ -2996,5 +2996,5 @@
             IF (lcheckmass) THEN
               CALL checkmass(d_tr_cv(:, :, itr), RNAVO, masse(itr), zdz, &
-                      pplay, t_seri, .false., 'd_tr_cv:')
+                      pplay, t_seri, .FALSE., 'd_tr_cv:')
             ENDIF
           ENDIF
@@ -3089,5 +3089,5 @@
         ! choix du lessivage
         IF (iflag_lscav == 3 .OR. iflag_lscav == 4) THEN
-          !IF (.false.) THEN  ! test #DFB (Binta) sans lsc_scav_spl
+          !IF (.FALSE.) THEN  ! test #DFB (Binta) sans lsc_scav_spl
           print *, 'JE iflag_lscav', iflag_lscav
           DO itr = 1, nbtr
@@ -3197,5 +3197,5 @@
       ENDDO
     ENDDO
-    iscm3 = .true.
+    iscm3 = .TRUE.
 
     ! Computing burden in mg/m2
@@ -3463,5 +3463,5 @@
       ENDDO
     ENDDO
-    iscm3 = .false.
+    iscm3 = .FALSE.
 
 
@@ -4197,5 +4197,5 @@
       tia_nophytracr = tia_nophytracr + REAL(ti_nophytracr) / REAL(clock_rate)
       print *, 'Time outside phytracr; Time accum outside phytracr'
-      print*, REAL(ti_nophytracr) / REAL(clock_rate), tia_nophytracr
+      PRINT*, REAL(ti_nophytracr) / REAL(clock_rate), tia_nophytracr
 
       clock_start_outphytracr = clock_end
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_newemissions.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_newemissions.F	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_newemissions.F	(revision 5103)
@@ -1,5 +1,5 @@
 C Routine to read the emissions of the different species
 C
-      subroutine read_newemissions(julien, jH_emi ,edgar, flag_dms,
+      SUBROUTINE read_newemissions(julien, jH_emi ,edgar, flag_dms,
      I                             debutphy, 
      I                             pdtphys,lafinphy, nbjour, pctsrf,
@@ -157,8 +157,8 @@
         test_vent=0
         test_day=0
-        CALL read_vent(.true.,step_vent,nbjour,u10m_ec2,v10m_ec2)
+        CALL read_vent(.TRUE.,step_vent,nbjour,u10m_ec2,v10m_ec2)
         print *,'Read (debut) dust emissions: step_vent,julien,nbjour', 
      .                                   step_vent,julien,nbjour
-        CALL read_dust(.true.,step_vent,nbjour,dust_ec2)
+        CALL read_dust(.TRUE.,step_vent,nbjour,dust_ec2)
 C Threshold velocity map
 !$OMP MASTER
@@ -208,9 +208,9 @@
         step_vent=step_vent+1
         !PRINT *,'step_vent=', step_vent
-        CALL read_vent(.false.,step_vent,nbjour,u10m_ec2,v10m_ec2)
+        CALL read_vent(.FALSE.,step_vent,nbjour,u10m_ec2,v10m_ec2)
         print *,'Reading dust emissions: step_vent, julien, nbjour ', 
      .                                   step_vent, julien, nbjour
         !print *,'test_vent, julien = ',test_vent, julien
-        CALL read_dust(.false.,step_vent,nbjour,dust_ec2)
+        CALL read_dust(.FALSE.,step_vent,nbjour,dust_ec2)
       
       ENDIF !--test_vent
@@ -224,7 +224,7 @@
       tau_2=(jH_vent-jH_init)*24./(vent_resol)
       tau_1=1.-tau_2
-!      print*,'JEdec jHv,JHi,ventres',jH_vent,jH_init,vent_resol
-!      print*,'JEdec tau2,tau1',tau_2,tau_1
-!      print*,'JEdec step_vent',step_vent
+!      PRINT*,'JEdec jHv,JHi,ventres',jH_vent,jH_init,vent_resol
+!      PRINT*,'JEdec tau2,tau1',tau_2,tau_1
+!      PRINT*,'JEdec step_vent',step_vent
       DO i=1, klon
 !      PRINT*,'JE tau_2,tau_2j',tau_2,tau_2j
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90	(revision 5103)
@@ -1,3 +1,3 @@
-       subroutine read_surface(name,surfa)
+       SUBROUTINE read_surface(name,surfa)
 
      
@@ -45,11 +45,11 @@
        IF (is_mpi_root .AND. is_omp_root) THEN
 
-       print*,'Lecture du fichier donnees_lisa.nc' 
+       PRINT*,'Lecture du fichier donnees_lisa.nc'
        ncid=nf90_open('donnees_lisa.nc',nf90_nowrite,rcode)
 
 !JE20140526<<: check if are inversed or not the latitude grid in donnes_lisa
-      outcycle=.false.
+      outcycle=.FALSE.
       latstr='null'
-      isinversed=.false.
+      isinversed=.FALSE.
       do i=1,5
        if (i==1) aux4s='latu'
@@ -60,7 +60,7 @@
        status = nf90_inq_varid (ncid, aux4s, rcode)
 !       print *,'stat,i',status,i,outcycle,aux4s
-!       print *,'ifclause',status.NE. nf90_noerr ,outcycle == .false.
+!       print *,'ifclause',status.NE. nf90_noerr ,outcycle == .FALSE.
        IF ((.not.(status/= nf90_noerr) ).and.( .not. outcycle )) THEN
-         outcycle=.true.
+         outcycle=.TRUE.
          latstr=aux4s
        ENDIF
@@ -73,10 +73,10 @@
           status=nf90_get_var(ncid,varid,lats_glo,startj,endj)
 !      print *,latstr,varid,status,jjp1,rcode
-!      IF (status .NE. nf90_noerr) print*,'NOOOOOOO'
+!      IF (status .NE. nf90_noerr) PRINT*,'NOOOOOOO'
 !      print *,lats
 !stop
 
 ! check if netcdf is latitude inversed or not. 
-      if (lats_glo(1)<lats_glo(2)) isinversed=.true.
+      if (lats_glo(1)<lats_glo(2)) isinversed=.TRUE.
 ! JE20140526>>
 
@@ -85,5 +85,5 @@
           write(str1,'(i1)') i
           varname=trim(name)//str1
-       print*,'lecture variable:',varname
+       PRINT*,'lecture variable:',varname
           varid=nf90_inq_varid(ncid,trim(varname),rcode)
 
@@ -139,5 +139,5 @@
 
        ENDDO ! Fin boucle 1 a 5
-       print*,'Passage Grille Dyn -> Phys'
+       PRINT*,'Passage Grille Dyn -> Phys'
 
 
@@ -149,3 +149,3 @@
 
        return
-       end subroutine read_surface
+       END SUBROUTINE  read_surface
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.f90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.f90	(revision 5103)
@@ -106,5 +106,5 @@
 
 ! added by JE from the nh SPLA, dyn3d/read_reanalyse.F which is not available any more
-subroutine correctbid(iim, nl, x)
+SUBROUTINE correctbid(iim, nl, x)
   integer :: iim, nl
   real :: x(iim + 1, nl)
@@ -116,5 +116,5 @@
       if(abs(x(i, l))>1.e10) then
         zz = 0.5 * (x(i - 1, l) + x(i + 1, l))
-        ! print*,'correction ',i,l,x(i,l),zz
+        ! PRINT*,'correction ',i,l,x(i,l),zz
         x(i, l) = zz
       endif
@@ -123,5 +123,5 @@
 
   return
-end subroutine correctbid
+END SUBROUTINE  correctbid
 
 
